Updates or adds a single mission.

Update a single mission with at least one action:

If the mission set properties are provided they will be used to update the mission set

and will be applied to all missions within the set. If omitted only the mission will be updated or created.

sortIndex is optional, if provided the mission will be moved to the specified sort index among the missions in the mission set.

Specify a new missionId to create a new mission within the mission set.

Path Params
uuid
required
uuid
required
Body Params
string
length ≤ 100

Represents the name of this mission.

string | null

Provides additional details added for the driver.

date-time | null

Execution time is optional. We'll set it to the current time if it's not filled in.

uuid | null

Represents the ID of the place where this mission should be executed. Either a Place or a PlaceId must be provided.

uuid | null

Represents the optional route that a driver has to take to get to his destination.

place
object

These fields are optional so nullable, They're either excluded or set to null.

string | null

Represents the external ID of this mission.

uuid | null

Represents the ID of the mission.

actions
array of objects
length between 1 and 250

A list of actions that must be executed within this mission.

actions
string | null

Provides additional details added for the driver.

uuid
required

Represents the ID of the activity definition that should be executed.

workflowConfiguration
object | null

Represents the workflow configuration for this order. By using this you can pre-set some values for the drivers workflow.

string | null

Represents the external ID of this action.

appLinks
array of objects
length ≤ 10
uuid | null

Represents the ID of the action.

orders
array of objects | null

A list of orders for this action.

orders
missionSet
object
int32 | null

Sort index of the mission within the mission set. If omitted, the sort index remains unchanged.
If provided, it must be a positive integer. The sort index of the other missions within the mission
set will be automatically adjusted based on the new sort index of this mission.

Responses

401

Failure code. Unauthorized access.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json